Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1949211 (CVE-2021-28879) - CVE-2021-28879 rust: integer overflow in the Zip implementation can lead to a buffer overflow
Summary: CVE-2021-28879 rust: integer overflow in the Zip implementation can lead to a...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-28879
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1949212 1949213 1952982 1952983 1959103 1967943
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-13 17:37 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-04-17 21:18 UTC (History)
11 users (show)

Fixed In Version: rust 1.52.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-10 13:28:34 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:3042 0 None None None 2021-08-10 07:26:15 UTC
Red Hat Product Errata RHSA-2021:3063 0 None None None 2021-08-10 13:51:13 UTC

Description Guilherme de Almeida Suckevicz 2021-04-13 17:37:48 UTC
In the standard library in Rust before 1.52.0, the Zip implementation can report an incorrect size due to an integer overflow. This bug can lead to a buffer overflow when a consumed Zip iterator is used again.

Reference:
https://github.com/rust-lang/rust/issues/82282

Upstream patch:
https://github.com/rust-lang/rust/pull/82289

Comment 1 Guilherme de Almeida Suckevicz 2021-04-13 17:38:10 UTC
Created rust tracking bugs for this issue:

Affects: epel-7 [bug 1949213]
Affects: fedora-all [bug 1949212]

Comment 5 errata-xmlrpc 2021-08-10 07:26:12 UTC
This issue has been addressed in the following products:

  Red Hat Developer Tools

Via RHSA-2021:3042 https://access.redhat.com/errata/RHSA-2021:3042

Comment 6 Product Security DevOps Team 2021-08-10 13:28:34 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-28879

Comment 7 errata-xmlrpc 2021-08-10 13:51:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:3063 https://access.redhat.com/errata/RHSA-2021:3063


Note You need to log in before you can comment on or make changes to this bug.